\documentclass[9pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../sty/present}
\usepackage{concmath-otf}
% \usepackage{unicode-math}
% \setmathfont{Concrete Math}
% \setmathfont{Concrete-Math-Regular.otf}[BoldFont=Concrete-Math-Bold.otf,CharacterVariant={10}]
\usepackage{../sty/calcii}

% Colors
% From https://color.adobe.com/ Fisher French Tomato, James Morris
\definecolor{Burgundy}{HTML}{8D001A}
\definecolor{GoldenImpression}{HTML}{FFF0CA}
\definecolor{ManiacMansion}{HTML}{00394F}
\definecolor{HazyRose}{HTML}{B29596}
\definecolor{KosherKhaki}{HTML}{8A897A}
\definecolor{UsualGray}{gray}{0.1}  % matches GoldenImpression
\setbeamercolor{frametitle}{fg=ManiacMansion,bg=white}
\setbeamercolor{part title}{fg=ManiacMansion,bg=white}
\setbeamercolor{itemize item}{fg=ManiacMansion}
\setbeamercolor{alerted text}{fg=Burgundy}

\setbeamerfont{frametitle}{size=\LARGE}
\setbeamertemplate{itemize item}{\color{ManiacMansion}$\blacktriangleright$}
\setbeamertemplate{description item}{\color{ManiacMansion}}
% \setbeamertemplate{itemize subitem}{\color{orange}$\blacktriangleright$}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
% \addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Solving linear systems with Gauss's Method}
% This is only inserted into the PDF information catalog. Can be left
% out. 
\subject{Solving linear systems}

\author{J Hef{}feron}
\institute{
  Department of Mathematics and Statistics\\
  University of Vermont  %\\[1ex]
  %\texttt{James.Hefferon@uvm.edu}
}
\date{}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................



% \section{}

\begin{frame}
We will need to solve systems like this one.
\begin{equation*}
\begin{linsys}{3}
    2A &+ &B &  &   &=  &1 \\
     A &- &B &  &   &=  &0 \\
       &  &B &+ &3C &=  &4 
\end{linsys}
\end{equation*}
There is a right way to do this. 
\end{frame}


% \begin{frame}{Linear systems}
% \Df
% A \alert{linear equation} 
% in the variables $x_1$, \ldots, $x_n$ 
% has the form
% $a_1x_1+a_2x_2+a_3x_3+\cdots+a_nx_n=d$
% where the numbers \( a_1, \ldots ,a_n\in\R \) are the
% \alert{coefficients} and
% \( d\in\R \) is the \alert{constant}.

% An \( n \)-tuple \( (s_1,s_2,\ldots ,s_n)\in\R^n \) is a 
% \alert{solution}
% of, or \alert{satisfies}, that equation if substituting the numbers
% $s_1$, \ldots, $s_n$ for the variables
% gives a true statement:
% $a_1s_1+a_2s_2+\cdots+a_ns_n=d$.

% A \alert{system of linear equations}
% \begin{equation*}
%   \begin{linsys}{4}
%     a_{1,1}x_1 &+ &a_{1,2}x_2  &+  &\cdots &+ &a_{1,n}x_n &=  &d_1  \\
%     a_{2,1}x_1 &+ &a_{2,2}x_2  &+  &\cdots &+ &a_{2,n}x_n &=  &d_2  \\
%              &  &           &   &       &  &          &\vdotswithin{=}  \\
%     a_{m,1}x_1 &+ &a_{m,2}x_2  &+  &\cdots &+ &a_{m,n}x_n &=  &d_m
%   \end{linsys}
% \end{equation*}
% has the solution
% \( (s_1,s_2,\ldots ,s_n) \) if that $n$-tuple is a solution of all
% of the equations.

% \Ex
% The ordered pair \( (-1,5) \) is a solution of this system.
% \begin{equation*}
%   \begin{linsys}{2}
%     3x_1 &+ &2x_2 &= &7  \\
%     -x_1 &+ &x_2  &= &6
%   \end{linsys}
% \end{equation*}
% In contrast, \( (5,-1) \) is not a solution.
% \end{frame}


\begin{frame}
Finding the set of all solutions is 
\alert{solving}
the system.
For linear systems we don't need guesswork or good luck; 
there is an algorithm that always works.
This is  
\alert{Gauss's Method} 
(or \alert{Gaussian elimination}
or \alert{linear elimination}).

\Ex
We will solve this system
\begin{equation*}
  \begin{linsys}{3}
                     &   &      &   &3x_3  &=  &9  \\
                 x_1 &+  &5x_2  &-  &2x_3  &=  &2  \\
      \frac{1}{3}x_1 &+  &2x_2  &   &      &=  &3  
  \end{linsys}
\end{equation*}
by transforming it, step by step, until it is in a form where the
solution is easy.

\pause
The first transformation
rewrites the system by interchanging the first and third row.
\begin{align*}
  \begin{linsys}{3}
                     &   &      &   &3x_3  &=  &9  \\
                 x_1 &+  &5x_2  &-  &2x_3  &=  &2  \\
      \frac{1}{3}x_1 &+  &2x_2  &   &      &=  &3  
  \end{linsys}
  &\grstep{ \text{swap row 1 with row 3} }
  \begin{linsys}{3}
        \frac{1}{3}x_1 &+  &2x_2  &   &      &=  &3  \\
                   x_1 &+  &5x_2  &-  &2x_3  &=  &2  \\
                       &   &      &   &3x_3  &=  &9  
    \end{linsys}                                         
\end{align*}
\pause
The second transformation rescales the first row by a factor of~$3$.
\begin{align*}
\quad
  &\grstep{ \text{multiply row 1 by 3} }
  \begin{linsys}{3}
        x_1 &+  &6x_2  &   &      &=  &9  \\
        x_1 &+  &5x_2  &-  &2x_3  &=  &2  \\
            &   &      &   &3x_3  &=  &9  
   \end{linsys}                                          
\end{align*}
\end{frame}

\begin{frame}
% The first transformation
% rewrites the system by interchanging the first and third row.
% \begin{align*}
%   \begin{linsys}{3}
%                      &   &      &   &3x_3  &=  &9  \\
%                  x_1 &+  &5x_2  &-  &2x_3  &=  &2  \\
%       \frac{1}{3}x_1 &+  &2x_2  &   &      &=  &3  
%   \end{linsys}
%   &\grstep{ \text{swap row 1 with row 3} }
%   \begin{linsys}{3}
%         \frac{1}{3}x_1 &+  &2x_2  &   &      &=  &3  \\
%                    x_1 &+  &5x_2  &-  &2x_3  &=  &2  \\
%                        &   &      &   &3x_3  &=  &9  
%     \end{linsys}                                         
% \end{align*}
% \pause
% The second transformation rescales the first row by a factor of~$3$.
% \begin{align*}
% \quad
%   &\grstep{ \text{multiply row 1 by 3} }
%   \begin{linsys}{3}
%         x_1 &+  &6x_2  &   &      &=  &9  \\
%         x_1 &+  &5x_2  &-  &2x_3  &=  &2  \\
%             &   &      &   &3x_3  &=  &9  
%    \end{linsys}                                          
% \end{align*}
The third transformation is the only nontrivial one in this example.
Mentally multiply both sides of the first row by \( -1 \),
mentally add that to the second row,
and write the result in as the new second row.
\begin{align*}
  \begin{linsys}{3}
        x_1 &+  &6x_2  &   &      &=  &9  \\
        x_1 &+  &5x_2  &-  &2x_3  &=  &2  \\
            &   &      &   &3x_3  &=  &9  
   \end{linsys}                                          
  &\grstep{ \text{add \(-1\) times row 1 to row 2} }
  \begin{linsys}{3}
        x_1 &+  &6x_2  &   &      &=  &9  \\
            &   &-x_2  &-  &2x_3  &=  &-7 \\
            &   &      &   &3x_3  &=  &9  
   \end{linsys}
\end{align*}
\pause
Now the system is in a
form where the solution is easy.
The bottom equation shows that \( x_3=3 \).
Substituting $3$ for \( x_3 \) in the middle equation shows that \( x_2=1 \).
Substituting those two into the top equation
gives \( x_1=3 \). 
The system has the unique solution $(x_1,x_2,x_3)=(3,1,3)$.
\end{frame}



\begin{frame}
Gauss's Method is fast and easy.
It is also safe:~it never loses solutions, nor does it ever 
pick up extraneous solutions.

\Tm (Gauss's Method)
If a linear system is transformed to another by one of these
\begin{enumerate}
  \setlength{\itemsep}{0ex}
  \item
    an equation is swapped with another
  \item
    an equation has both sides multiplied by a nonzero constant
  \item
    an equation is replaced by the sum of itself and a multiple of another
\end{enumerate}
then the two systems have the same set of solutions.
  
\medskip\pause
The three transformation steps 
are the
\alert{row operations}.
They are
\alert{swapping},
\alert{multiplying by a scalar} (or
\alert{rescaling}), and
\alert{row combination}.

When writing out the calculations, we will 
abbreviate `row \(i\)' by `\( \rho_i \)'
(pronounce this aloud as ``row'').
For instance, we will denote a row combination operation by 
\( k\rho_i+\rho_j \), 
with the row that changes written second.
We will also 
often combine addition steps when they use the same $\rho_i$.
\end{frame}


\begin{frame}
\Ex Solve this by Gauss's Method.
\begin{equation*}
  \begin{linsys}{3}
    x  &+  &y  &   &   &=  &0  \\
   2x  &-  &y  &+  &3z &=  &3  \\
    x  &-  &2y &-  &z  &=  &3  
  \end{linsys}
\end{equation*}
\pause
Start by using the first row to 
eliminate the $2x$ in the second row and the $x$ in the third.
To get rid of the $2x$ we mentally multiply the entire first row by $-2$, 
add that to the
second row, and write the result in as the new second row.
To eliminate the~$x$ in the third row we multiply the first row by
$-1$, add that to the third row, and write the result in as the
new third row.
\begin{align*}
  &\grstep[-\rho_1 +\rho_3]{-2\rho_1 +\rho_2}
  \begin{linsys}{3}
     x  &+  &y  &   &   &=  &0  \\
        &   &-3y&+  &3z &=  &3  \\
        &   &-3y&-  &z  &=  &3  
  \end{linsys}   
\end{align*}
\pause
Finish by transforming the second system into a third by
using 
the second row to eliminate the $y$~term from the third row.
\begin{equation*}
  \grstep{-\rho_2 +\rho_3}
  \begin{linsys}{3}
     x  &+  &y  &   &   &=  &0  \\
        &   &-3y&+  &3z &=  &3  \\
        &   &   &   &-4z&=  &0
   \end{linsys}
\end{equation*}
\pause
Now solving is easy.
The third row gives \( z=0 \).
Substitute that back
into the second row to get \( y=-1 \).
Then substitute those two back into the first row to get \( x=1 \).
\end{frame}


\begin{frame}
\Ex Here is a two equation/two unknown example.
\begin{equation*}
   \begin{linsys}{2}
     40h  &+  &15c  &=  &100      \\
     -50h &+  &25c  &=  &50         
   \end{linsys}
   \grstep{5/4\rho_1 +\rho_2}
   \begin{linsys}{2}
      40h  &+  &15c       &=  &100      \\
           &   &(175/4)c  &=  &175 
    \end{linsys}
\end{equation*}
So \( c=4 \), and back-substitution gives that \( h=1 \).  

\pause
\Ex 
The reduction
\begin{align*}
   \begin{linsys}{3}
        x  &+  &y  &+  &z  &=  &9  \\
       2x  &+  &4y &-  &3z &=  &1  \\
       3x  &+  &6y &-  &5z &=  &0  
   \end{linsys}
   &\grstep[-3\rho_1 +\rho_3]{-2\rho_1 +\rho_2}
   \begin{linsys}{3}
      x  &+  &y  &+  &z  &=  &9  \\
         &   &2y &-  &5z &=  &-17\\
         &   &3y &-  &8z&=  &-27
    \end{linsys}                                    \\
   &\grstep{-(3/2)\rho_2+\rho_3}
   \begin{linsys}{3}
      x  &+  &y  &+  &z            &=  &9  \\
         &   &2y &-  &5z           &=  &-17\\
         &   &   &   &-(1/2)z      &=  &-(3/2) 
    \end{linsys}
\end{align*}
shows that \( z=3 \), \( y=-1 \), and \( x=7 \). 

\medskip\pause
As those illustrate, the point of Gauss's Method 
is to use the row
operations to set up back-substitution.

% \Df
% In each row of a system the \alert{leading variable}
% is the first variable with a nonzero coefficient.  
% A system is in \alert{echelon form}
% if each leading variable
% is to the right of the leading variable in the row above it
% (except for the leading variable in the first row)
% and any rows with all-zero coefficients are at the bottom.  
\end{frame}


\begin{frame}
\Ex
The prior examples only used the operation of row combination.
But we do sometimes need the swap operation:~in this linear system
after the first combination
\begin{align*}
   \begin{linsys}{4}
                x  &-  &y  &   &   &   &   &=  &0  \\
               2x  &-  &2y &+  &z  &+  &2w &=  &4  \\
                   &   &y  &   &   &+  &w  &=  &0  \\
                   &   &   &   &2z &+  &w  &=  &5  
   \end{linsys}
   &\grstep{-2\rho_1 +\rho_2}
   \begin{linsys}{4}
      x  &-  &y  &\spaceforemptycolumn   &   &   &   &=  &0  \\
         &   &   &   &z  &+  &2w &=  &4  \\
         &   &y  &   &   &+  &w  &=  &0  \\
         &   &   &   &2z &+  &w  &=  &5  
   \end{linsys}    
\end{align*}
the second equation has no leading $y$.
\pause
Swap that second row for a lower-down row that has a leading $y$.
\begin{align*}
   &\grstep{\rho_2 \leftrightarrow\rho_3}
   \begin{linsys}{4}
      x  &-  &y  &\spaceforemptycolumn   &   &   &   &=  &0  \\
         &   &y  &   &   &+  &w  &=  &0  \\
         &   &   &   &z  &+  &2w &=  &4  \\
         &   &   &   &2z &+  &w  &=  &5  
    \end{linsys}    
\end{align*}
(Had there been more than one suitable row below the second
then we could have used any one.)
\pause
With that, Gauss's Method proceeds as before.
\begin{align*}
   &\grstep{-2\rho_3 +\rho_4}
   \begin{linsys}{4}
      x  &-  &y  &\spaceforemptycolumn   &   &   &   &=  &0  \\
         &   &y  &   &   &+  &w  &=  &0  \\
         &   &   &   &z  &+  &2w &=  &4  \\
         &   &   &   &   &   &-3w&=  &-3 
    \end{linsys}
\end{align*}
Back-substitution gives \( w=1 \), \( z=2 \) , \( y=-1 \), and \( x=-1 \).
\end{frame}



\begin{frame}{Systems with redundant equations}
All of the systems so far have the same number of equations as unknowns.
All of them have a solution, and for all of them there is only one solution.
We finish by seeing 
other things that can happen.

\Ex
This system 
has more equations than variables.
\begin{equation*}
    \begin{linsys}{2}
      x  &+  &3y  &=  &1  \\
     2x  &+  &y   &=  &-3 \\
     2x  &+  &2y  &=  &-2 
    \end{linsys}  
\end{equation*}
\pause
Gauss's Method helps us understand this system also, since this
\begin{align*}
    &\grstep[-2\rho_1 +\rho_3]{-2\rho_1 +\rho_2}
    \begin{linsys}{2}
       x  &+  &3y  &=  &1  \\
          &   &-5y &=  &-5 \\
          &   &-4y &=  &-4 
     \end{linsys}
\end{align*}
shows that one of the equations is redundant.
\pause
Echelon form
\begin{equation*}
    \grstep{-(4/5)\rho_2 +\rho_3}
    \begin{linsys}{2}
       x  &+  &3y  &=  &1  \\
          &   &-5y &=  &-5 \\
          &   &0   &=  &0  
     \end{linsys}
\end{equation*}
gives that \( y=1 \) and \( x=-2 \).
The `\( 0=0 \)' reflects the redundancy.
\end{frame}


\begin{frame}{Systems that do not have a unique solution}
Some linear systems do not have a unique solution.
This can happen in two ways.
The first is that a system can fail to have any solution at all.

\Ex
This system is inconsistent:~no pair of numbers $(s_1,s_2)$ satisfies 
all three equations simultaneously.
\begin{equation*}
    \begin{linsys}{2}
      x  &+  &3y  &=  &1  \\
     2x  &+  &y   &=  &-3 \\
     2x  &+  &2y  &=  &0  
    \end{linsys}
    \grstep[-2\rho_1 +\rho_3]{-2\rho_1 +\rho_2}
    \begin{linsys}{2}
       x  &+  &3y  &=  &1  \\
          &   &-5y &=  &-5 \\
          &   &-4y &=  &-2
     \end{linsys}
\end{equation*}
\pause
\begin{equation*}
  \grstep{-(4/5)\rho_2 +\rho_3}
  \begin{linsys}{2}
     x  &+  &3y  &=  &1  \\
        &   &-5y &=  &-5 \\
        &   &0   &=  &2 
   \end{linsys}
\end{equation*}
% \end{frame}

% \begin{frame}
\Ex
The prior system has more equations than unknowns but
that is not what causes the inconsistency\Dash 
an earlier example 
has more equations than unknowns and yet is consistent.
Nor is having more equations than unknowns necessary for
inconsistency, as we see here.
\begin{equation*}
  \begin{linsys}{2}
    x  &+  &2y  &=  &8  \\
   2x  &+  &4y  &=  &8  
  \end{linsys}
  \grstep{-2\rho_1 + \rho_2}
  \begin{linsys}{2}
     x  &+  &2y  &=  &8  \\
        &   &0   &=  &-8
   \end{linsys}
\end{equation*}
\pause
Inconsistency is about the interaction of the two sides.
In the starting system, the second line's left side is twice the
first's but that's not true on its right side.
\end{frame}


% \begin{frame}
% The other way that 
% a linear system can fail to have a unique solution, besides having no solutions,
% is to have many solutions.

% \Ex
% In this system
% \begin{equation*}
%   \begin{linsys}{2}
%     x  &+  &y   &=  &4  \\
%    2x  &+  &2y  &=  &8  
%   \end{linsys}
% \end{equation*}
% any pair of numbers satisfying the first equation also
% satisfies the second.
% Some example
% solutions are~$(0,4)$, $(-1,5)$, and $(2.5,1.5)$.

% The result of applying Gauss's Method here contrasts with the prior example
% because we do not get a contradictory equation.
% \begin{equation*}
%   \grstep{-2\rho_1 + \rho_2}
%   \begin{linsys}{2}
%     x  &+  &y   &=  &4  \\
%        &   &0   &=  &0  
%    \end{linsys}
% \end{equation*}
% \end{frame}

% \begin{frame}
% Don't be fooled by the prior example:~a $0=0$ equation  
% is not the signal that a system has many solutions.

% \pause
% \Ex
% The absence of a \( 0=0 \) equation does not keep a system from having
% many different solutions.
% This system is in echelon form,
% has no $0=0$, but has infinitely many solutions,
% including $(0,1,-1)$, 
% $(0,1/2,-1/2)$, $(0,0,0)$, and $(0,-\pi,\pi)$
% (any triple whose first component is $0$ and whose second component is the 
% negative of the third is a solution).
% \begin{equation*}
%   \begin{linsys}{3}
%      x  &+  &y  &+  &z  &=  &0  \\
%         &   &y  &+  &z  &=  &0  
%    \end{linsys}
% \end{equation*}

% \pause
% Nor does the presence of \( 0=0 \) mean that the system must have 
% many solutions.
% This system does not have 
% any solutions at all despite that 
% in echelon form it has a $0=0$ row.
% \begin{align*}
%   \begin{linsys}{3}
%     2x  &   &   &-   &2z  &=  &6  \\
%         &   &y  &+   &z   &=  &1  \\
%     2x  &+  &y  &-   &z   &=  &7  \\
%         &   &3y &+   &3z  &=  &0  
%   \end{linsys}
%   &\grstep{-\rho_1 +\rho_3}
%   \begin{linsys}{3}
%      2x  &\spaceforemptycolumn   &   &-   &2z  &=  &6  \\
%          &   &y  &+   &z   &=  &1  \\
%          &   &y  &+   &z   &=  &1  \\
%          &   &3y &+   &3z  &=  &0  
%   \end{linsys}                                    \\
%   &\grstep[-3\rho_2 +\rho_4]{-\rho_2 +\rho_3}
%   \begin{linsys}{3}
%      2x  &\spaceforemptycolumn    &   &-   &2z  &=  &6  \\
%          &   &y  &+   &z   &=  &1  \\
%          &   &   &    &0   &=  &0  \\
%          &   &   &    &0   &=  &-3 
%    \end{linsys}
% \end{align*}
% \end{frame}




% \begin{frame}{Summary}
% Gauss's Method uses the row operations to 
% set a system up for back substitution.
% If any step shows a contradictory equation then we can stop with the
% conclusion that the system has no solutions.
% \pause
% If we reach echelon form without a contradictory equation,
% and each variable is a leading variable in its
% row, then the system has a unique solution and we find it by
% back substitution.
% \pause
% Finally, if we reach echelon form without a contradictory equation,
% and there is not a unique solution\Dash
% that is, at least one variable is not a leading variable\Dash
% then the system has many solutions.  
% \end{frame}




\begin{frame}{How not to do it}
Sometimes high school teachers present approaches that are
inferior.

Given this system,  
\begin{equation*}
    \begin{linsys}{2}
      x  &+  &3y  &=  &1  \\
     2x  &+  &y   &=  &-3 \\
     2x  &+  &2y  &=  &-2 
    \end{linsys}
  \tag{$*$}  
\end{equation*}
someone might suggest solving the second equation for~$y$
\begin{equation*}
  y=-3-2x
\end{equation*}
and then substituting into the first equation.
\begin{equation*}
  x+3(-3-2x)=1
  \quad\Longrightarrow\quad
  x-9-6x=1
  \quad\Longrightarrow\quad
  5x=10
\end{equation*}
They then plug $x=2$ into the $y=-3-2x$ equation,
and think that $(x,y)=(2,-7)$.
But that pair does not work in the third equation of ($*$).

This ad hoc method has lots of disadvantages.
One is that you have to think about which
equations to solve for which variables, and in what order.
It also gives wrong answers. 
(Sometimes the person will advise checking by going back and plugging
any solution candidates into the starting equations. 
But that means that this method takes twice as long.)

\pause
Please, if you become a high school teacher, don't do this. 
Gauss's Method always gives the right answer and only the 
right answer, and is the fastest.
\end{frame}






\section{Exercises}

\begin{frame}
    Use Gauss's Method to solve each system
    or conclude `many solutions' or `no solutions'.
    \begin{enumerate}
      \item \(
               \begin{linsys}[t]{2}
                  2x  &+  &2y  &=  &5  \\
                   x  &-  &4y  &=  &0  
               \end{linsys}
             \)
      \item \(
               \begin{linsys}[t]{2}
                  -x  &+  &y   &=  &1  \\
                   x  &+  &y   &=  &2  
               \end{linsys}
             \) 
      \item  \(
               \begin{linsys}[t]{3}
                   x  &-  &3y  &+  &z  &=  &1  \\
                   x  &+  &y   &+  &2z &=  &14 
                \end{linsys}
             \) 
      \item  \(
               \begin{linsys}[t]{2}
                  -x  &-  &y   &=  &1  \\
                 -3x  &-  &3y  &=  &2  
               \end{linsys}
             \) 
      \item  \(
               \begin{linsys}[t]{3}
                      &   &4y  &+  &z  &=  &20 \\
                  2x  &-  &2y  &+  &z  &=  &0  \\
                   x  &   &    &+  &z  &=  &5  \\
                   x  &+  &y   &-  &z  &=  &10 
                \end{linsys}
             \)
      \item \( \begin{linsys}[t]{4}
                 2x  &   &   &+  &z  &+  &w  &=  &5  \\
                     &   &y  &   &   &-  &w  &=  &-1 \\
                 3x  &   &   &-  &z  &-  &w  &=  &0  \\
                 4x  &+  &y  &+  &2z &+  &w  &=  &9  
               \end{linsys}
            \)
    \end{enumerate}
\end{frame}

\begin{frame}{Answers}
\begin{enumerate}
       \item Gaussian reduction
        \begin{equation*}
          \grstep{-(1/2)\rho_1+\rho_2}
          \begin{linsys}{2}
             2x  &+  &2y  &=  &5  \\
                 &   &-5y &=  &-5/2  
          \end{linsys}
        \end{equation*}
        shows that \( y=1/2 \) and \( x=2 \) is the unique solution.
      \item Gauss's Method
        \begin{equation*}
          \grstep{\rho_1+\rho_2}
          \begin{linsys}{2}
             -x  &+  &y   &=  &1  \\
                 &   &2y  &=  &3  
           \end{linsys}
        \end{equation*}
        gives \( y=3/2 \) and \( x=1/2 \) as the only solution.
      \item Row reduction
        \begin{equation*}
            \grstep{-\rho_1+\rho_2}
            \begin{linsys}{3}
                x  &-  &3y  &+  &z  &=  &1  \\
                   &   &4y  &+  &z  &=  &13 
             \end{linsys}
        \end{equation*}
        shows, because the variable $z$ is not a leading variable in any
        row, that there are many solutions.
      \item Row reduction
        \begin{equation*}
          \grstep{-3\rho_1+\rho_2}
          \begin{linsys}{2}
             -x  &-  &y   &=  &1  \\
                 &   &0   &=  &-1 
           \end{linsys}
        \end{equation*}
        shows that there is no solution.
\end{enumerate}
\end{frame}
\begin{frame}
\begin{enumerate} \setcounter{enumi}{4}
      \item Gauss's Method
        \begin{align*}
            \grstep{\rho_1\leftrightarrow\rho_4}
            \begin{linsys}{3}
                x  &+  &y   &-  &z  &=  &10 \\
               2x  &-  &2y  &+  &z  &=  &0  \\
                x  &   &    &+  &z  &=  &5  \\
                   &   &4y  &+  &z  &=  &20 
             \end{linsys}
            &\grstep[-\rho_1+\rho_3]{-2\rho_1+\rho_2}
            \begin{linsys}{3}
                x  &+  &y   &-  &z  &=  &10 \\
                   &   &-4y &+  &3z &=  &-20\\
                   &   &-y  &+  &2z &=  &-5 \\
                   &   &4y  &+  &z  &=  &20 
             \end{linsys}                                      \\
            &\grstep[\rho_2+\rho_4]{-(1/4)\rho_2+\rho_3}
            \begin{linsys}{3}
                x  &+  &y   &-  &z      &=  &10 \\
                   &   &-4y &+  &3z     &=  &-20\\
                   &   &    &   &(5/4)z &=  &0  \\
                   &   &    &   &4z     &=  &0  
             \end{linsys}
        \end{align*}
        gives the unique solution \( (x,y,z)=(5,5,0) \).
      \item Here Gauss's Method gives
         \begin{align*}
            &\grstep[-2\rho_1+\rho_4]{-(3/2)\rho_1+\rho_3}
            \begin{linsys}{4}
               2x  &\spaceforemptycolumn   &   &+  &z       &+  &w       &=  &5  \\
                   &   &y  &   &        &-  &w       &=  &-1 \\
                   &   &   &-  &(5/2)z  &-  &(5/2)w  &=  &-15/2  \\
                   &   &y  &   &        &-  &w       &=  &-1  
             \end{linsys}                                             \\ 
            &\grstep{-\rho_2+\rho_4}
            \begin{linsys}{4}
               2x  &\spaceforemptycolumn   &   &+  &z       &+  &w       &=  &5  \\
                   &   &y  &   &        &-  &w       &=  &-1 \\
                   &   &   &-  &(5/2)z  &-  &(5/2)w  &=  &-15/2  \\
                   &   &   &   &        &   &0       &=  &0 
             \end{linsys}
         \end{align*}
         which shows that there are many solutions.
\end{enumerate}
\end{frame}





\end{document}
%
% These lines tells gnu-emacs to typeset with the luatex engine
% which requires Unicode encoding only (utf-8)
% ^c^t^s for toggling synctex. 
% ^-Shift-Click to move from pdf to source, Command-Shift-Click on OSX
%%% Local Variables:
%%% mode: latex
%%% TeX-engine: luatex
%%% TeX-source-correlate-method-active: synctex
%%% coding: utf-8
%%% End:
